
Redmine - Defect #14235

Redmine 2.0 wiki is too slowly

2013-06-07 10:06 - xilong pei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.3

Description

When there are a little more content in wiki, like this page http://elastos.org/redmine/projects/elastos-core/wiki/Java_car , the wiki is

too slowly.

History

#1 - 2013-06-07 10:54 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

Please post the relevant portions of the corresponding logfile

#2 - 2013-06-07 11:20 - xilong pei

this issue in my project: http://elastos.org/redmine/issues/269

/opt/redmine/apps/redmine/htdocs/log# vi production.log

Started GET "/redmine/projects/elastos-core/wiki" for 192.168.4.41 at Fri Jun 07 14:34:08 +0800 2013

Processing by WikiController#show as HTML

  Parameters: {"project_id"=>"elastos-core"}

DEPRECATION WARNING: :confirm option is deprecated and will be removed from Rails 4.0. Use ':data => { :confir

m => 'Text' }' instead. (called from link_to_if_authorized at /opt/redmine/apps/redmine/htdocs/app/helpers/app

lication_helper.rb:43)

  Rendered wiki/_content.html.erb (40132.4ms)

  Rendered attachments/_form.html.erb (4.2ms)

  Rendered wiki/_sidebar.html.erb (6.1ms)

  Rendered wiki/show.html.erb within layouts/base (40256.6ms)

Completed 200 OK in 40475ms (Views: 22095.5ms | ActiveRecord: 18340.3ms)

#3 - 2013-09-01 23:34 - Jan Niggemann (redmine.org team member)

- Category set to Wiki

- Status changed from Needs feedback to New

#4 - 2013-09-02 10:41 - Daniel Felix

Can you provide us with some information about your system? Ruby Version? Rails Version, Redmine Version?

Maybe which server do you use? etc.

This would help us to pinpoint the issue.

#5 - 2013-09-06 03:45 - xilong pei

Environment:

Redmine version                          2.0.3.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.6

Environment                              production

Database adapter                         MySQL

Redmine plugins:

redmine_didyoumean                       1.2.0

redmine_graphs                           0.1.0

redmine_importer                         1.0

redmine_issue_templates                  0.0.3

redmine_monitoring_controlling           0.1.1
redmine_testlinklink                     1.0.0

redmine_user_profiles                    0.1.0

scrum2b                                  0.1

#6 - 2013-09-10 04:57 - Toshi MARUYAMA

xilong pei wrote:

Environment:

Redmine version                          2.0.3.stable

 Redmine 2.0 is simply porting from Rails2 to Rails3.

There is no SQL tuning.

I recommend you to upgrade recent Redmine version.

#7 - 2013-09-10 05:00 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

xilong pei wrote:

Environment:

Redmine version                          2.0.3.stable

 Redmine 2.0 is simply porting from Rails2 to Rails3.

There is no SQL tuning.

I recommend you to upgrade recent Redmine version.

 For example: #11904.

#8 - 2013-09-10 05:00 - Toshi MARUYAMA

- Subject changed from Redmine wiki is too slowly to Redmine 2.0 wiki is too slowly

- Status changed from New to Needs feedback

#9 - 2013-09-10 05:22 - xilong pei

There are too many data in my Redmine, I dare not to upgrade it.

#10 - 2013-09-10 06:35 - Toshi MARUYAMA

- Affected version (unused) set to 2.0.3

- Affected version set to 2.0.3

#11 - 2015-08-23 17:14 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

This ticket is against an unsupported version of redmine.

If the issue persists on more recent versions, please open a new issue ticket.
